void step08b (boolean drawGuides, boolean drawEllipses, int p1, int p2, int n2, int n1) {
  // Extend inner squares to edge of outer circle
  // calculate rise over run and multiply by new run

  float deltaX = xInnerMostCircle[p1] - xInnerMostCircle[p2];
  float deltaY = yInnerMostCircle[p1] - yInnerMostCircle[p2];

  // call lineCircle to find intesection points
  circleLineIntersect(xInnerMostCircle[p1], yInnerMostCircle[p1], xInnerMostCircle[p2], yInnerMostCircle[p2], xCenter, yCenter, scale, n1, n2, 'A');

  if (drawEllipses) {
    ellipse(xInnerMostCircle[p1], yInnerMostCircle[p1], 20, 20);
    ellipse(xInnerMostCircle[p2], yInnerMostCircle[p2], 20, 20);
  }

  if (drawGuides) {
    strokeWeight(guideWeight);
    line(xSquaresToOuterCircle[n1], ySquaresToOuterCircle[n1], xSquaresToOuterCircle[n2], ySquaresToOuterCircle[n2]);
  }
}
