void step11 (boolean drawGuides) {
  // Draw 6 ellipeses at the points of the initial hexagon
  float diameter = dist(xLinesToOuterCircle[0], yLinesToOuterCircle[0], xLinesToOuterCircle[2], yLinesToOuterCircle[2] );   // calculate diameter for ellipses

  strokeWeight(1);
  for (int c=0; c <= 5; c++) {
    if (drawGuides) {
      ellipse(xDesign[c], yDesign[c], diameter, diameter);
    }
  }

  // calculate intersection points from line to circle
  line(xDesign[1], yDesign[1], xDesign[4], yDesign[4]);
  ellipse(xDesign[1], yDesign[1], diameter, diameter);

  for ( int n = 0; n < 3; n++) {
    // design points 0 to 2
    circleLineIntersect(xDesign[n], yDesign[n], xDesign[n + 3], yDesign[n + 3], xDesign[n], yDesign[n], diameter, n, n + 1, 'C');
    ellipse(xLinesToStep11Circles[n], yLinesToStep11Circles[n], 10, 10);
  }
  // design points 3 to 5
  for ( int n = 3; n < 6; n++) {
    // design point 0
    circleLineIntersect(xDesign[n], yDesign[n], xDesign[n - 3], yDesign[n - 3], xDesign[n], yDesign[n], diameter, n, n + 1, 'C');
    ellipse(xLinesToStep11Circles[n], yLinesToStep11Circles[n], 10, 10);
  }
}
